INTEL_FRONTBUFFER_FL(9)

NAME
intel_frontbuffer_flip_complete - complete asynchronous frontbuffer flip

SYNOPSIS

void intel_frontbuffer_flip_complete(struct drm_device * dev, unsigned frontbuffer_bits);

ARGUMENTS

dev
    DRM device

frontbuffer_bits
    frontbuffer plane tracking bits

DESCRIPTION

This function gets called after the flip has been latched and will complete on the next vblank. It will execute the flush if it hasn't been cancelled yet.

Can be called without any locks held.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT